@import "assets/fonts/fonts2.css";

html {
    scroll-behavior: smooth;
}

*{
    margin: 0px;    
    font-family: "Lato";
}

.header {
    position: sticky;
    top: 0;
    z-index: 5;
}

.our-services, .portfolio, .about-us, .get-a-quote {
    scroll-margin-top: 30px;
}

/* .wrapper {
    width: 1020px;
    margin: 0 auto;
} */

.slider__wrapper {
    position: relative;
}

.header__wrapper, .slider__wrapper{
    padding: 0px 40px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
}

.header {
    height: 89px;
    background-color: #2d303a;
    border-bottom: 6px solid #323746;
    /* display: flex;
    justify-content: space-between; */
}

.header__menu {
    position: fixed;
    top: 26px;
    left: 20px;
    z-index: 22;
    display: none;
    align-items: center;
    width: 25px;
    height: 20px;
    cursor: pointer;
    transition: transform 0.3s, top 0.3s;
  }
  
  .header__menu::before, .header__menu::after {
    position: absolute;
    content: "";
  }
  
  .header__menu::before {
    top: 0;
  }
  
  .header__menu::after {
    bottom: 0;
  }
  
  .header__menu span,
  .header__menu::before,
  .header__menu::after {
    width: 100%;
    height: 2px;
    background-color: #ffffff;
  }
  
  .header__menu_small {
    top: 10px;
  }
  
  .header__menu_open {
    transform: rotate(-90deg);
  }
  
  .menu-modal {
    position: absolute;
    z-index: -1;
    visibility: hidden;
  }
  
  .menu-modal__overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    background-color: rgba(0, 0, 0, 0);
    transition: background-color 0.4s;
  }

  .nav-mobile {
    display: flex;
    position: relative;
    z-index: 22;
    width: 278px;
    height: 100vh;
    padding-left: 71px;
    background-color: #2d303a;
    box-shadow: 0 -40px 20px rgba(0, 0, 0, 0.4);
    transition: transform 0.4s;
    transform: translateX(-100%);
  }
  
  .navbar_mobile {
    flex-direction: column;
    padding: 0;
    margin: 0;
  }
  
  .navbar_mobile .navigation__text {
    margin-left: 0;
  }
  
  .navbar_mobile .navigation__text {
    font-size: 24px;
    line-height: 29px;
  }
  
  .navbar_mobile .navigation__text:not(:first-child) {
    margin-top: 27px;
  }
  
  .navbar_mobile .navigation__text + .navigation__text::before {
    display: none;
  }
  
  .menu-modal_open {
    z-index: 20;
    visibility: visible;
  }
  
  .menu-modal_open .menu-modal__overlay {
    z-index: 21;
    background-color: rgba(0, 0, 0, 0.5);
  }
  
  .menu-modal_open .nav-mobile {
    transform: translateX(0%);
  }
  
  .menu-modal_hide {
    z-index: 20;
    visibility: initial;
  }

.header__logo {
    z-index: 22;
    font-size: 25px;
    font-weight: 700;
    color: #ffffff;
    text-transform: uppercase;
    letter-spacing: -0.7px;
    margin: 28px 0px 0px 0px;
}
  
.header__logo::after {
    content: "*";
    color: #f06c64;
}

.header__navigation {
  padding-top: 44px;
}

.navigation {
    display: flex;
    justify-content: space-between;
    list-style: none;
    font-size: 12px;
    line-height: 12px;
    font-weight: 700;
    width: 371px;
}

.navigation__text {
    position: relative;
    height: 30px;
}

.navigation__text a {
    color: #ffffff;
    text-decoration: none;
    text-transform: uppercase;
    display: block;
    height: 100%;
}

.navigation__text:not(:first-child)::before {
    content: ".";
    color:#494e62;
    position: absolute;
    left: -16px;
    top: -2px;
}

.navigation__text_active a {
    color: #f06c64;
}

.navigation__text a:hover {
    color: #f06c64;
}

.slider {
  height: 594px;
  background-color: #f06c64;
  border-bottom: 6px solid #ea676b;
  transition: background-color 1s, border-color 1s;
}

.slider_colored {
    background-color: #648bf0;
    border-bottom: 6px solid #648bf0;
}

.container {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-content: center;
  justify-content: space-between;
}

.carousel {
    position: absolute;
    width: 100%;
    overflow: hidden;
}

.slide1 {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-content: center;
    justify-content: space-between;
}

.slide2 {
    margin: 43px 0 0 212px;
}

.slide {
    display: none;
    position: relative;
    width: 100%;
    overflow: hidden;
    animation: 1s ease-in-out;
}

.slide_active {
    display: block;
}

.next {
    display: block;
    position: absolute;
    top: 0;
    width: 100%;
}

.to-left {
    animation-name: left;
}
  
.from-right {
    animation-name: right;
}
  
.to-right {
    animation-name: right;
    animation-direction: reverse;
}
  
.from-left {
    animation-name: left;
    animation-direction: reverse;
}

@keyframes left {
    from {
      left: 0;
    }
    to {
      left: -100%;
    }
}
  
@keyframes right {
    from {
      left: 100%;
    }
    to {
      left: 0;
    }
}

.arrow-block {
  display: flex;
  justify-content: space-between;
  width: 100%;
}


.slider__button {
  position: absolute;
  padding: 281px 0px 0px 0px;
}

.arrow-block__arrow{
  background: url("assets/img/chev.png") no-repeat;
  width: 16px;
  height: 27px;
  border: none;
  cursor: pointer;
  margin: 0px 0px 0px 2px;
  z-index: 20;
}

.arrow-block__arrow_rotate {
  transform: rotate(180deg);
}

.arrow-block__arrow:hover {
  transform: scale(2);
  background-color: grey;
  border-radius: 3px;
}

.arrow-block__arrow_rotate:hover {
  transform: scale(2) rotate(180deg);
}

.slider__phone-vertical {
  margin: 53px 0px 0px 72px;
}
.slider__phone-horizontal {
  margin: 174px 71px 0px 0px;
}


.displayHorizontal {
    display: none;
    position: absolute;
    background-color: black;
    width: 329px;
    height: 184px;
    left: 444px;
    top: 187px;
    border: black 3px solid;
    border-radius: 3px;
}

.displayVertical {
    display: none;
    position: absolute;
    background-color: black;
    width: 184px;
    height: 329px;
    left: 85px;
    top: 117px;
    border: black 3px solid;
    border-radius: 3px;
}

.active {
    display: block;
}


.our-services {
  background-color: #f2f2f2;
  border-bottom: 6px solid #ffffff;
}

.our-services__wrapper {
  max-width: 1020px;
  padding: 0px 40px 30px 40px;
  box-sizing: border-box;
  height: 100%;
  margin: 0 auto;
}

.our-services__title {
  color: #666d89;
  font-weight: 900;
  font-size: 30px;
  line-height: 30px;
  padding-top: 62px;
  letter-spacing: -0.2px;
}

.our-services__text {
  color: #767e9e;
  font-size: 18px;
  font-weight: 300;
  line-height: 30px;
  padding-top: 22px;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: justify;
}

.list {
  display: flex;
  justify-content: space-between;
  list-style: none;
  flex-flow: row wrap;
}

.our-services__list {
    padding: 46px 0px 0px 0px;
}

.list__item {
  padding-bottom : 32px;
}

.item {
  flex: 0 1 300px;
  display: flex;
  align-items: flex-start;
  overflow: hidden;
  text-overflow: ellipsis;
}

.item__paragraph {
  padding-left: 18px;
}

.paragraph__title {
  font-size: 18px;
  line-height: 17px;
  font-weight: 900;
  color: #666d89;
  letter-spacing: -0.1px;
}

.paragraph__text {
  color: #767e9e;
  font-size: 12px;
  font-weight: 400;
  line-height: 21px;
  padding-top: 10px;
  text-align: justify;
}

.portfolio {
    height: 797px;
    background-color: #2d303a;
    border-bottom: 6px solid #323746;
    padding-top: 66px;
}

.portfolio__title {
    font-size: 30px;
    line-height: 17px;
    color: #666d89;
    font-weight: 900;
    margin: 3px 0px 0px 40px;
}

.portfolio__text {
    font-size: 18px;
    line-height: 30px;
    color: #767e9e;
    font-weight: 300;
    margin: 27px 0px 0px 40px;
}

.portfolio__tags {
    margin: 11px 0 0 41px;
}

.tags {
    display: flex;
    padding: 0px;
    margin: 0px;
    list-style: none;
}

.tags__item {
    font-size: 12px;
    line-height: 1;
    color: #767e9e;
    font-weight: 400;
    cursor: pointer;
    border: 1px solid #666d89;
    border-radius: 5px;
    transition: 0.2s;
}

.tags__item_active {
    border: 1px solid #c5c5c5;
    color: #dedede;
}

.tags__item:hover {
    border: 1px solid #c5c5c5;
    color: #dedede;
}

.tags__item:nth-child(1) {
    padding: 4px 6px 4px 7px;
  }
  
.tags__item:nth-child(2) {
    padding: 4px 6px 4px 6px;
    margin-left: 10px;
  }
  
.tags__item:nth-child(3) {
    width: 83px;
    padding: 4px 2px 4px 6px;
    margin-left: 10px;
  }
  
.tags__item:nth-child(4) {
    padding: 4px 4px 4px 5px;
    margin-left: 10px;
  }

.portfolio__table {
    margin: 19px 40px 0 40px;
}

.projects {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 20px;
    overflow: hidden;
}

.portfolio__table > a > img {
    width: 220px;
    height: 187px;
}

.projects__link_active {
    outline: 5px solid #f06c64;
}

.projects__link {
    height: 187px;
    margin-bottom: 20px;
}

.projects__link:nth-child(n+13) {
    display: none;
}

.about-us {
    background-color: #f2f2f2;
    border-bottom: 6px solid #ffffff;
}

.about-us__wrapper {
    padding: 67px 0 66px 0;
}

.about-us__title {
    font-size: 30px;
    line-height: 18px;
    color: #666d89;
    font-weight: 900;
    margin: 1px 0 0 40px;
}

.about-us__text {
    width: 940px;
    height: 57px;
    font-size: 18px;
    line-height: 30px;
    color: #767e9e;
    font-weight: 300;
    text-align: left;
    margin: 27px 0 0 40px;
    text-align: justify;
}

.three-column-layout {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.about-us__staff {
    margin: 48px 22px 0 40px;
}

.employee {
    max-width: 301px;
}

.employee__name {
    font-size: 18px;
    color: #666d89;
    font-weight: 900;
    margin: 12px 0 0 0;
    letter-spacing: -0.2px;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: justify;
}

.employee__description {
    width: 300px;
    font-size: 12px;
    line-height: 1.7;
    color: #767e9e;
    font-weight: 400;
    margin: 10px 0 0 0;
    text-align: justify;
}

.employee:nth-child(1) .employee__description {
    letter-spacing: -0.06px;
}

.employee__link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 31px;
    height: 31px;
    border: 1px solid #666d89;
    border-radius: 50%;
    transition: background-color 0.3s, border-color 0.3s;
    transition: filter 0.3s;
}

.social-media {
    display: flex;
}

.employee__photo {
    width: 300px;
}

.employee__contacts {
    margin: 24px auto 0 auto;
}  
 

.employee__link:not(:first-child) {
    margin-left: 7px;
}


button, input, textarea {
  margin: 0;
  font-family: "Lato", "Arial", sans-serif;
}

.wrapper {
    max-width: 1020px;
    margin: 0 auto;
}

.get-a-quote {
    background-color: #f06c64;
    border-bottom: 6px solid #ea676b;
}

.get-a-quote__wrapper {
    padding: 64px 40px 22px 40px;
    box-sizing: border-box;
}

.get-a-quote__title {
    font-size: 30px;
    font-weight: 900;
    line-height: 26px;
    color: #f0d8d9;
    margin: 0;
}

.get-a-quote__text {
    margin-top: 22px;
    font-size: 18px;
    font-weight: 300;
    line-height: 30px;
    color: #f0d8d9;
    text-align: justify;
}

  .get-a-quote__form {
    display: flex;
    margin-top: 44px;
}

.get-a-quote__contact-information {
    display: flex;
    flex-direction: column;
    margin-left: 21px;
}

.form {
    display: flex;
    flex-direction: column;
    min-width: 619px;
}

.form__input {
    padding: 8px 15px 9px 15px;
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    color: #f0d8d9;
    background-color: #d6564f;
    border: none;
    border-radius: 5px;
    outline: none;
    transition: background-color 0.3s;
}

.form__input::placeholder {
    color: #f48c8f;
}

.form__input:not(:first-child) {
    margin-top: 16px;
}

.form__input_textarea {
    height: 186px;
    padding-top: 7px;
    resize: none;
}

.form__button {
    width: 80px;
    height: 30px;
    margin-top: 16px;
    font-weight: 700;
    color: #f06c64;
    cursor: pointer;
    background-color: #f0d8d9;
    border: solid 1px;
    border-radius: 5px;
}

.form__button:hover {
    background-color: white;
}

.contact-information__title {
    margin: 0;
    font-size: 18px;
    font-weight: 900;
    line-height: 18px;
    color: #f0d8d9;
    letter-spacing: -0.1px;
}

.contact-information__text {
    margin: 11px 0 0 0;
    text-align: justify;
    letter-spacing: -0.04px;
    font-size: 12px;
    font-weight: 400;
    line-height: 22px;
    color: #f0d8d9;
}

.contact-information__location {
    position: relative;
    margin: 21px 0 0 0;
    padding-left: 23px;
    text-decoration: none;
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    color: #f0d8d9;
}

.contact-information__phone {
    position: relative;
    padding-left: 23px;
    text-decoration: none;
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    color: #f0d8d9;
}

.contact-information__email {
    position: relative;
    padding-left: 23px;
    text-decoration: none;
    font-size: 12px;
    font-weight: 400;
    line-height: 21px;
    color: #f0d8d9;
    margin-top: 1px;
}

.contact-information__image {
    position: absolute;
}
  
.contact-information__location .contact-information__image {
    top: 5px;
    left: 3px;
}
  
.contact-information__phone .contact-information__image {
    top: 5px;
    left: 1px;
}
  
  .contacts__mail {
    margin-top: 1px;
}
  
.contact-information__email .contact-information__image {
    top: 8px;
    left: 0;
}
  
.contact-information__phone:hover, .contact-information__email:hover {
    text-decoration: underline;
}

.footer {
    background-color: #2d303a;
  }
  
.footer__wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 22px;
    padding-bottom: 21px;
}
  
.footer__copyright {
    margin-bottom: 3px;
    margin-left: 42px;
}
  
.footer__copyright-image {
    margin-right: 39px;
}

.employee__link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 31px;
    height: 31px;
    border: 1px solid #666d89;
    border-radius: 50%;
    transition: background-color 0.3s, border-color 0.3s;
    transition: filter 0.3s;
}

.employee__link:hover {
    background-color:white;
    color: #2d303a
}
  
.footer__social-media {
    display: flex;
    padding-right: 39px;
}

.employee__link:not(:first-child) {
    margin-left: 7px;
}

.copyright {
    font-size: 12px;
    font-weight: 400;
    line-height: 6px;
    color: #666d89;
    letter-spacing: -0.144px;
}

.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    background: #0008;
}

.popup > .message {
    position: absolute;
    top: 360px;
    left: calc(50vw - 150px);
    width: 300px;
    background-color: #f06c64;
    color: #f0d8d9;
    padding: 5px;
    text-align: center;
}

.popup__text {
    text-align: left;
    max-width: 100%;
    word-wrap: break-word;
}

.popup_hidden {
    display: none;
}


@media (max-width: 1019px) {
    .slider__wrapper {
        padding: 0px 30px;
    }

    .slider__phone-vertical {
        margin: 41px 0px 0px 53px;
    }

    .slider__phone-horizontal {
        margin: 133px 54px 0px 0px;
    }

    .iPhone_Vertical {
        width: 181px;
    }

    .displayVertical {
        width: 141px;
        height: 250px;
        left: 61px;
        top: 86px;
    }

    .iPhone_Horizontal {
        width: 364px;
    }

    .displayHorizontal {
        width: 246px;
        height: 137px;
        left: 334px;
        top: 143px;
    }

    .slide2 {
        width: 300px;
        margin: 43px 0 0 35%;
    }

    .slider {
        height: 445px;        
    }

    .slider__button {
        padding: 208px 0px 0px 0px;
    }

    .list__item:nth-child(2n+2) {
        padding-right: 34px;
    }

    .projects {
        grid-template-columns: repeat(3, 1fr);
    }

    .portfolio {
        height: 100%;
    }

    .employee__photo, .employee__description {
        width: 219px;
    }

    .about-us__text {
        width: 688px; 
    }

    .wrapper{
        max-width: 768px;
    }

    .form {
        min-width: 442px;
    }
}

@media (max-width: 767px) {
    .slider__wrapper {
        padding: 0px 10px;
    }

    .slider {
        height: 214px;        
    }

    .iPhone_Vertical {
        width: 88px;
    }

    .slider__phone-vertical {
        margin: 20px 0px 0px 30px;
    }

    .displayVertical {
        width: 69px;
        height: 122px;
        left: 32px;
        top: 42px;
    }

    .iPhone_Horizontal {
        width: 179px;
    }

    .slider__phone-horizontal {
        margin: 65px 31px 0px 0px;
    }

    .displayHorizontal {
        max-width: 122px;
        max-height: 69px;
        left: 164px;
        top: 68px;
    }

    .slider__button {
        padding: 98px 0px 0px 0px;
    }

    .arrow-block__arrow {        
        width: 14px;
        height: 25px;   
        z-index: 3;     
    }

    .slide2 {
        width: 100px;
        margin: 43px 0 0 35%;
    }

    .our-services__wrapper {
        padding: 0px 30px 30px 30px;
    }

    .list__item:nth-child(2n+2) {
        padding-right: 0px;
    }

    .projects {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 13px;
        row-gap: 7px;
    }

    .projects__link:nth-child(n+9) {
        display: none;
    }

    .portfolio {
        height: 773px;
    }

    .portfolio__table > a > img {
        width: 151px;
        height: 128px;
    }

    .portfolio__table {
        margin: 19px 30px 0 30px;
    }

    .projects__link {
        height: 100%;
        margin-bottom: 0px;
    }

    .three-column-layout {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .about-us__title {
        margin: 1px 0 0 30px;
    }

    .about-us__text {
        margin: 14px 0 0 30px; 
        width: 315px; 
        height: 220px;
    }

    .about-us__staff {
        margin: 14px 22px 0 30px;
        row-gap: 34px;
    }

    .employee__photo, .employee__description {
        width: 314px;
    }

    .about-us__wrapper {
        padding: 67px 0 45px 0;
    }

    .get-a-quote__wrapper {
        padding: 64px 30px 22px 30px;
        box-sizing: border-box;
    }

    .wrapper{
        max-width: 768px;
    }

    .form {
        min-width: 315px;
    }

    .get-a-quote__form {
        flex-direction: column;
    }

    .form__button {
        height: 50px;
        width: 100%;
        margin-top: 14px;
    }

    .get-a-quote__contact-information {

        margin: 32px 0 0 0;
    }

    .contact-information__location { 
        margin: 5px 0 0 0;
    }

    .footer__copyright {
        display: none;
    }

    .footer__social-media {
        margin: 0 auto;
        padding-right: 0px;
    }

    /* .header__navigation {
        display: none;
    } */

    .header__wrapper{
        justify-content: center;
    }

    .header {
        height: 65px;
    }

    .header__logo {
        margin: 22px 0px 0px 0px;
    }

    .header__wrapper_menu-open {
        justify-content: start;
        padding-left: 71px;
      }
    
    .header .nav {
        display: none;
    }

    .header__menu {
        display: flex;
    }

    .logo {
        margin: 25px 0 20px 0;
    }

    .logo_small {
        margin: 10px 0 4px 0;
    }

    .navigation {
        align-self: center;
    }
}

@media (max-width: 375px) {

    .iPhone_Vertical {
        width: 80px;
    }


    .iPhone_Horizontal {
        width: 150px;
    }

    .slide2 {
        width: 100px;
        margin: 43px 0 0 35%;
    }


    .projects {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 13px;
        row-gap: 7px;
    }

    .tags__item {
        font-size: 9px;
    }

    .portfolio {
        height: 700px;
    }

    .portfolio__table > a > img {
        width: 120px;
        height: 100px;
    }

    .portfolio__table {
        margin: 19px 30px 0 30px;
    }

    .projects__link {
        height: 100%;
        margin-bottom: 0px;
    }

    .three-column-layout {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .about-us__title {
        margin: 1px 0 0 30px;
    }

    .about-us__text {
        margin: 14px 0 0 30px; 
        width: 250px; 
        height: 250px;
    }

    .about-us__staff {
        margin: 14px 22px 0 30px;
        row-gap: 34px;
    }

    .employee__photo, .employee__description {
        width: 260px;
    }

    .about-us__wrapper {
        padding: 67px 0 45px 0;
    }

    .get-a-quote__wrapper {
        padding: 64px 30px 22px 30px;
        box-sizing: border-box;
    }

    .wrapper{
        max-width: 768px;
    }

    .form {
        min-width: 260px;
    }

    .get-a-quote__form {
        flex-direction: column;
    }

    .form__button {
        height: 50px;
        max-width: 100%;
        margin-top: 14px;
    }

    .get-a-quote__contact-information {
        margin: 32px 0 0 0;
    }

    .contact-information__location { 
        margin: 5px 0 0 0;
    }

    .footer__copyright {
        display: none;
    }

    .footer__social-media {
        margin: 0 auto;
        padding-right: 0px;
    }

    /* .header__navigation {
        display: none;
    } */

    .header__wrapper{
        justify-content: center;
    }

    .header {
        height: 65px;
    }

    .header__logo {
        margin: 22px 0px 0px 0px;
    }

    .header__wrapper_menu-open {
        justify-content: start;
        padding-left: 71px;
      }
    
    .header .nav {
        display: none;
    }

    .header__menu {
        display: flex;
    }

    .logo {
        margin: 25px 0 20px 0;
    }

    .logo_small {
        margin: 10px 0 4px 0;
    }

    .navigation {
        align-self: center;
    }    

    .header__navigation {
        padding-top: 0;
    }
}

/* wtf */